{$A+,B-,C-,D+,E-,F-,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y-,Z1}
{$MINSTACKSIZE $00004000}
{$MAXSTACKSIZE $00100000}
{$IMAGEBASE $00400000}
{$APPTYPE GUI}

unit Exit_Frm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, Menus;

type
  TExitForm = class(TForm)
    LabelExit: TLabel;
    ImageConfirm: TImage;
    ButtonDa: TButton;
    ButtonNet: TButton;
    ButtonOtmena: TButton;
    ButtonOk: TButton;
    ButtonCancler: TButton;
    ButtonAny: TButton;
    ButtonYes: TButton;
    ButtonNo: TButton;
    ButtonIgnore: TButton;
    ButtonAlreadyNo: TButton;
    MainMenuExit: TMainMenu;
    MenuItemMenu: TMenuItem;
    MenuItemDa: TMenuItem;
    MenuItemNet: TMenuItem;
    MenuItemOtmena: TMenuItem;
    MenuItemCancler: TMenuItem;
    MenuItemAny: TMenuItem;
    MenuItemYes: TMenuItem;
    MenuItemNo: TMenuItem;
    MenuItemIgnore: TMenuItem;
    MenuItemAlreadyNoLine: TMenuItem;
    MenuItemAlreadyNo: TMenuItem;
    MenuItemOK: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure MenuItemDaClick(Sender: TObject);
    procedure MenuItemNetClick(Sender: TObject);
    procedure MenuItemOtmenaClick(Sender: TObject);
    procedure MenuItemOKClick(Sender: TObject);
    procedure MenuItemCanclerClick(Sender: TObject);
    procedure MenuItemAnyClick(Sender: TObject);
    procedure MenuItemYesClick(Sender: TObject);
    procedure MenuItemNoClick(Sender: TObject);
    procedure MenuItemIgnoreClick(Sender: TObject);
    procedure MenuItemAlreadyNoClick(Sender: TObject);
    procedure ButtonDaClick(Sender: TObject);
    procedure ButtonNetClick(Sender: TObject);
    procedure ButtonOtmenaClick(Sender: TObject);
    procedure ButtonOkClick(Sender: TObject);
    procedure ButtonCanclerClick(Sender: TObject);
    procedure ButtonAnyClick(Sender: TObject);
    procedure ButtonYesClick(Sender: TObject);
    procedure ButtonNoClick(Sender: TObject);
    procedure ButtonIgnoreClick(Sender: TObject);
    procedure ButtonAlreadyNoClick(Sender: TObject);
  private
    FCanQuit: Boolean;
    function GetDoQuit: Boolean;
    procedure SetDoQuit(NewDoQuit: Boolean);
  public
    property DoQuit: Boolean read GetDoQuit write SetDoQuit;
    procedure FixImageConfirm(var Done: Boolean);
  end;

var
  ExitForm: TExitForm;

implementation

uses
  Quit_Frm, Inst_Frm;

{$R *.DFM}

procedure TExitForm.FormCreate(Sender: TObject);
begin
  FCanQuit := False;
end;

procedure TExitForm.FormShow(Sender: TObject);
begin
  MessageBeep(mb_IconQuestion);
end;

procedure TExitForm.MenuItemDaClick(Sender: TObject);
begin
  ButtonDa.OnClick(Sender);
end;

procedure TExitForm.MenuItemNetClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.MenuItemOtmenaClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.MenuItemOKClick(Sender: TObject);
begin
  ButtonDa.OnClick(Sender);
end;

procedure TExitForm.MenuItemCanclerClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.MenuItemAnyClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.MenuItemYesClick(Sender: TObject);
begin
  ButtonDa.OnClick(Sender);
end;

procedure TExitForm.MenuItemNoClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.MenuItemIgnoreClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.MenuItemAlreadyNoClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.ButtonDaClick(Sender: TObject);
begin
  ModalResult := QuitForm.ShowModal;
end;

procedure TExitForm.ButtonNetClick(Sender: TObject);
begin
  ModalResult := mrNo;
end;

procedure TExitForm.ButtonOtmenaClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.ButtonOkClick(Sender: TObject);
begin
  ButtonDa.OnClick(Sender);
end;

procedure TExitForm.ButtonCanclerClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.ButtonAnyClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.ButtonYesClick(Sender: TObject);
begin
  ButtonDa.OnClick(Sender);
end;

procedure TExitForm.ButtonNoClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.ButtonIgnoreClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

procedure TExitForm.ButtonAlreadyNoClick(Sender: TObject);
begin
  ButtonNet.OnClick(Sender);
end;

function TExitForm.GetDoQuit: Boolean;
begin
  Result := False;
  if FCanQuit then
    Result := True
  else
  begin
    if ShowModal = mrYes then
    begin
      FCanQuit := True;
      Application.Terminate;
    end;
  end;
end;

procedure TExitForm.SetDoQuit(NewDoQuit: Boolean);
begin
  FCanQuit := NewDoQuit;
  if FCanQuit then
    Application.Terminate;
end;

procedure TExitForm.FixImageConfirm(var Done: Boolean);
  var
    x, y: Integer;
begin
  if Visible then
  begin
    x := ImageConfirm.Left + Random(3) - 1;
    y := ImageConfirm.Top + Random(4) - 2;
    if x < 0 then
      x := x + 5;
    if x > ClientWidth - ImageConfirm.Width then
      x := x - 5;
    if y < 0 then
      y := y + 5;
    if y > ClientHeight - ImageConfirm.Height then
      y := y - 5;
    ImageConfirm.Left := x;
    ImageConfirm.Top := y;
  end;
end;

end.

