{$A+,B-,C-,D+,E-,F-,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y-,Z1}
{$MINSTACKSIZE $00004000}
{$MAXSTACKSIZE $00100000}
{$IMAGEBASE $00400000}
{$APPTYPE GUI}

unit SerN_Frm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TSerNoForm = class(TForm)
    LabelSerNo: TLabel;
    ButtonOk: TButton;
    ButtonExit: TButton;
    EditSerNo: TEdit;
    ButtonHelp: TButton;
    procedure FormShow(Sender: TObject);
    procedure ButtonOkClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure ButtonHelpClick(Sender: TObject);
  private
    FSerNoHelp: Boolean;
  public
  end;

var
  SerNoForm: TSerNoForm;

implementation

uses
  PreR_Frm, Exit_Frm, SHlp_Frm;

{$R *.DFM}

procedure TSerNoForm.FormShow(Sender: TObject);
begin
  FSerNoHelp := False;
end;

procedure TSerNoForm.ButtonOkClick(Sender: TObject);
begin
  if Trim(AnsiUpperCase(EditSerNo.Text)) = ' ' then
    ModalResult := mrOk
  else
    if FSerNoHelp then
      Application.MessageBox('      ' +
      '" " ?', ' ', mb_Ok + mb_IconStop)
    else
    begin
      Application.MessageBox('     ' +
      '  ?', '', mb_Ok + mb_IconInformation);
      ButtonHelp.Visible := True;
      FSerNoHelp := True;
    end;
end;

procedure TSerNoForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if ModalResult <> mrOk then
    CanClose := ExitForm.DoQuit;
end;

procedure TSerNoForm.ButtonHelpClick(Sender: TObject);
begin
  SHlpForm.ShowModal;
end;

end.
