{$A+,B-,C-,D+,E-,F-,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y-,Z1}
{$MINSTACKSIZE $00004000}
{$MAXSTACKSIZE $00100000}
{$IMAGEBASE $00400000}
{$APPTYPE GUI}

unit Cust_Frm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Mask;

type
  TCustForm = class(TForm)
    ButtonOk: TButton;
    ButtonCancel: TButton;
    EditSour: TEdit;
    EditDest: TEdit;
    HeaderChooce: THeader;
    ScrollBoxCust: TScrollBox;
    CheckBoxCpn1: TCheckBox;
    CheckBoxCpn2: TCheckBox;
    CheckBoxCpn3: TCheckBox;
    CheckBoxCpn4: TCheckBox;
    CheckBoxCpn5: TCheckBox;
    CheckBoxCpn6: TCheckBox;
    CheckBoxCpn7: TCheckBox;
    CheckBoxCpn8: TCheckBox;
    CheckBoxCpn9: TCheckBox;
    RadioButtonEnd1: TRadioButton;
    RadioButtonEnd2: TRadioButton;
    RadioButtonEnd3: TRadioButton;
    PanelCpn1: TPanel;
    PanelCpn2: TPanel;
    PanelCpn3: TPanel;
    PanelCpn4: TPanel;
    PanelCpn5: TPanel;
    PanelCpn6: TPanel;
    PanelCpn7: TPanel;
    PanelCpn8: TPanel;
    PanelCpn9: TPanel;
    PanelEnd1: TPanel;
    PanelEnd2: TPanel;
    PanelEnd3: TPanel;
    PanelCust: TPanel;
    PanelNeed: TPanel;
    PanelFree: TPanel;
    PanelTime: TPanel;
    LabelChoose: TLabel;
    LabelCpn1: TLabel;
    LabelCpn2: TLabel;
    LabelCpn3: TLabel;
    LabelCpn4: TLabel;
    LabelCpn5: TLabel;
    LabelCpn6: TLabel;
    LabelCpn7: TLabel;
    LabelCpn8: TLabel;
    LabelCpn9: TLabel;
    LabelSupCpn2: TLabel;
    LabelSupCpn3: TLabel;
    LabelSupCpn4: TLabel;
    LabelSupCpn5: TLabel;
    LabelSupCpn6: TLabel;
    LabelSupCpn7: TLabel;
    LabelSupCpn8: TLabel;
    LabelSupCpn9: TLabel;
    LabelSour: TLabel;
    LabelDest: TLabel;
    LabelNeedStr: TLabel;
    LabelFreeStr: TLabel;
    LabelNeed: TLabel;
    LabelFree: TLabel;
    LabelNeedByte: TLabel;
    LabelFreeByte: TLabel;
    LabelTimeStr: TLabel;
    LabelTimeHour: TLabel;
    LabelTimeHourDiv: TLabel;
    LabelTimeMin: TLabel;
    LabelTimeMinDiv: TLabel;
    LabelTimeSec: TLabel;
    LabelTimeSecDiv: TLabel;
    LabelTimeMilliSec: TLabel;
    BevelTime: TBevel;
    ShapeTime: TShape;
    procedure FormShow(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure EditSourEnter(Sender: TObject);
    procedure EditSourKeyPress(Sender: TObject; var Key: Char);
    procedure EditSourExit(Sender: TObject);
    procedure EditDestEnter(Sender: TObject);
    procedure EditDestKeyPress(Sender: TObject; var Key: Char);
    procedure EditDestExit(Sender: TObject);
    procedure CheckBoxCpn9Click(Sender: TObject);
    procedure ButtonOkClick(Sender: TObject);
  private
    FSizeCpn1: Integer;
    FSizeCpn2: Integer;
    FSizeCpn3: Integer;
    FSizeCpn4: Integer;
    FSizeCpn5: Integer;
    FSizeCpn6: Integer;
    FSizeCpn7: Integer;
    FSizeCpn8: Integer;
    FSizeCpn9: Integer;
    FNeed: Integer;
    FFree: Integer;
    procedure CheckBoxCpnNClick(Sender: TObject);
    procedure ShowNeed;
  public
    procedure FixTime(var Done: Boolean);
  end;

var
  CustForm: TCustForm;

implementation

{$R *.DFM}

uses Inst_Frm, Exit_Frm;

procedure TCustForm.FormShow(Sender: TObject);
  var
    i: Integer;
begin
  FSizeCpn4 := 10;
  FSizeCpn8 := 1;
  FSizeCpn9 := MinDiskNeed div 10;
  i := MainForm.GetDiskFree - FSizeCpn4 - FSizeCpn8 - FSizeCpn9 + 1;
  FSizeCpn1 := i div 100 * 19;
  FSizeCpn2 := i div 100 * 23;
  FSizeCpn3 := i div 100 * 27;
  FSizeCpn5 := i div 100 * 14;
  FSizeCpn6 := i div 100 * 7;
  FSizeCpn7 := i - FSizeCpn1 - FSizeCpn2 - FSizeCpn3 - FSizeCpn5 - FSizeCpn6;
  LabelCpn1.Caption := Format('%.0n', [Int(FSizeCpn1)]);
  LabelCpn2.Caption := Format('%.0n', [Int(FSizeCpn2)]);
  LabelCpn3.Caption := Format('%.0n', [Int(FSizeCpn3)]);
  LabelCpn4.Caption := Format('%.0n', [Int(FSizeCpn4)]);
  LabelCpn5.Caption := Format('%.0n', [Int(FSizeCpn5)]);
  LabelCpn6.Caption := Format('%.0n', [Int(FSizeCpn6)]);
  LabelCpn7.Caption := Format('%.0n', [Int(FSizeCpn7)]);
  LabelCpn8.Caption := Format('%.0n', [Int(FSizeCpn8)]);
  LabelCpn9.Caption := Format('%.0n', [Int(FSizeCpn9)]);
  CheckBoxCpn1.OnClick := CheckBoxCpnNClick;
  CheckBoxCpn2.OnClick := CheckBoxCpnNClick;
  CheckBoxCpn3.OnClick := CheckBoxCpnNClick;
  CheckBoxCpn4.OnClick := CheckBoxCpnNClick;
  CheckBoxCpn5.OnClick := CheckBoxCpnNClick;
  CheckBoxCpn6.OnClick := CheckBoxCpnNClick;
  CheckBoxCpn7.OnClick := CheckBoxCpnNClick;
  CheckBoxCpn8.OnClick := CheckBoxCpnNClick;
  ShowNeed;
  FFree := MainForm.GetDiskFree;
  LabelFreeStr.Caption := '  ' + UsedDisk + ' :';
  LabelFree.Caption := Format('%.0n', [Int(FFree)]);
  EditSour.Text := SourDir;
  EditDest.Text := GetList(MainForm.DestDirsList, '; ');
  HeaderChooce.SectionWidth[0] := CheckBoxCpn1.Left + CheckBoxCpn1.Width;
end;

procedure TCustForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  if ModalResult <> mrOk then
    CanClose := ExitForm.DoQuit;
end;

procedure TCustForm.EditSourEnter(Sender: TObject);
begin
  ButtonOk.Default := False;
  ButtonCancel.Cancel := False;
end;

procedure TCustForm.EditSourKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then
  begin
    ActiveControl := EditDest;
    Key := #0;
  end;
end;

procedure TCustForm.EditSourExit(Sender: TObject);
begin
  EditSour.Text := DelDirSlash(AnsiUpperCase(Trim(EditSour.Text)));
  if not DirExists(EditSour.Text) then
  begin
    ActiveControl := EditSour;
    MessageBeep(mb_Ok);
    Exit;
  end;
  SourDir := EditSour.Text;
  ButtonOk.Default := True;
  ButtonCancel.Cancel := True;
end;

procedure TCustForm.EditDestEnter(Sender: TObject);
begin
  ButtonOk.Default := False;
  ButtonCancel.Cancel := False;
end;

procedure TCustForm.EditDestKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then
  begin
    ActiveControl := ButtonOk;
    Key := #0;
  end;
end;

procedure TCustForm.EditDestExit(Sender: TObject);
begin
  AddList(EditDest.Text, ';', MainForm.DestDirsList);
  EditDest.Text := GetList(MainForm.DestDirsList, '; ');
  ButtonOk.Default := True;
  ButtonCancel.Cancel := True;
end;

procedure TCustForm.CheckBoxCpn9Click(Sender: TObject);
begin
  ShowNeed;
end;

procedure TCustForm.CheckBoxCpnNClick(Sender: TObject);
begin
  if not (Sender as TCheckBox).Checked then
  begin
    (Sender as TCheckBox).Checked := True;
    Application.MessageBox('   ',
    '. ', mb_Ok + mb_IconStop);
  end;
end;

procedure TCustForm.ShowNeed;
begin
  FNeed := 0;
  if CheckBoxCpn1.Checked then
    FNeed := FNeed + FSizeCpn1;
  if CheckBoxCpn2.Checked then
    FNeed := FNeed + FSizeCpn2;
  if CheckBoxCpn3.Checked then
    FNeed := FNeed + FSizeCpn3;
  if CheckBoxCpn4.Checked then
    FNeed := FNeed + FSizeCpn4;
  if CheckBoxCpn5.Checked then
    FNeed := FNeed + FSizeCpn5;
  if CheckBoxCpn6.Checked then
    FNeed := FNeed + FSizeCpn6;
  if CheckBoxCpn7.Checked then
    FNeed := FNeed + FSizeCpn7;
  if CheckBoxCpn8.Checked then
    FNeed := FNeed + FSizeCpn8;
  if CheckBoxCpn9.Checked then
    FNeed := FNeed + FSizeCpn9;
  LabelNeed.Caption := Format('%.0n', [Int(FNeed)]);
end;

procedure TCustForm.ButtonOkClick(Sender: TObject);
begin
  if FNeed > FFree then
    Application.MessageBox('    ' +
    ':    ',
    '      ', mb_Ok + mb_IconStop)
  else
    ModalResult := mrOk;
end;

procedure TCustForm.FixTime(var Done: Boolean);
  const
    ProgLimit = 3 * 60 * 60 * 1000;
    FlFirst: Boolean = True;
    StartTime: Integer = 0;
    FlShowMsg: Boolean = False;
  var
    i: Integer;
  function IntToStr2(I: Integer): string;
  begin
    Result := IntToStr(I);
    while Length(Result) < 2 do
      Result := '0' + Result;
  end;
begin
  i := GetTickCount;
  if FlFirst then
  begin
    StartTime := i;
    FlFirst := False;
  end;
  i := ProgLimit - (i - StartTime);
  if i < 0 then
    i := 0;
  if Visible then
  begin
    LabelTimeHour.Caption := IntToStr(i div (60 * 60 * 1000));
    LabelTimeMin.Caption := IntToStr2(i div (60 * 1000) mod 60);
    LabelTimeSec.Caption := IntToStr2(i div 1000 mod 60);
    LabelTimeMilliSec.Caption := IntToStr2(i div 10 mod 100);
  end;
  if (i <= 0) and (not FlShowMsg) then
  begin
    FlShowMsg := True;
    Application.MessageBox(PChar(' !    ' +
    IntToStr(ProgLimit div (60 * 60 * 1000) + 1) + '- ,   '),
    ',    !!!',
    mb_Ok + mb_IconExclamation);
    ExitForm.DoQuit := True;
  end
  else
    if Visible then
      Done := False;
end;

end.

