{$A+,B-,C-,D+,E-,F-,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y-,Z1}
{$MINSTACKSIZE $00004000}
{$MAXSTACKSIZE $00100000}
{$IMAGEBASE $00400000}
{$APPTYPE GUI}

unit MxWr_Frm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, MMSystem;

const
  HardDiskBeepWavName = 'Inst_Vir.da1';

type
  TMxWrForm = class(TForm)
    ButtonOk: TButton;
    LabelFree3GB: TLabel;
    LabelNoSpace: TLabel;
    ImageMxWr: TImage;
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    FHardDiskBeepWavFullName: string;
    FFlPlayed: Boolean;
    procedure SetFlPlayed(NewFlPlayed: Boolean);
  public
    property FlPlayed: Boolean read FFlPlayed write SetFlPlayed;
    procedure FixNoDiskSpace(var Done: Boolean);
  end;

var
  MxWrForm: TMxWrForm;

implementation

{$R *.DFM}

procedure TMxWrForm.FormShow(Sender: TObject);
begin
  FHardDiskBeepWavFullName :=
  ExtractFilePath(Application.ExeName) + HardDiskBeepWavName;
  FFlPlayed := False;
  MessageBeep(mb_IconHand);
end;

procedure TMxWrForm.FormHide(Sender: TObject);
begin
  FlPlayed := False;
end;

procedure TMxWrForm.SetFlPlayed(NewFlPlayed: Boolean);
begin
  if NewFlPlayed = FFlPlayed then
    Exit;
  FFlPlayed := NewFlPlayed;  
  if NewFlPlayed then
    sndPlaySound(PChar(FHardDiskBeepWavFullName),
    snd_Async + snd_NoDefault + snd_Loop)
  else
    sndPlaySound(Nil, snd_Sync);
end;

procedure TMxWrForm.FixNoDiskSpace(var Done: Boolean);
begin
  if Visible then
  begin
    LabelNoSpace.Visible := not LabelNoSpace.Visible;
    FlPlayed := LabelNoSpace.Visible;
  end;
end;

end.
