{$A+,B-,C-,D+,E-,F-,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y-,Z1}
{$MINSTACKSIZE $00004000}
{$MAXSTACKSIZE $00100000}
{$IMAGEBASE $00400000}
{$APPTYPE GUI}

unit PreR_Frm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Buttons, ComCtrls;

type
  TPrergstForm = class(TForm)
    GroupBoxPrergst: TGroupBox;
    ImagePrergst: TImage;
    LabelEpigr: TLabel;
    LabelNotPrint: TLabel;
    LabelVVeden: TLabel;
    MemoPrergst: TMemo;
    LabelWantReg: TLabel;
    ButtonWantReg: TButton;
    ButtonOk: TButton;
    ButtonExit: TButton;
    PanelReclam: TPanel;
    RichEditPrergst: TRichEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure ButtonWantRegClick(Sender: TObject);
    procedure ButtonOkClick(Sender: TObject);
  private
    FRegCnt: Integer;
  public
    procedure FixPanelReclamCaption(var Done: Boolean);
    procedure FixPanelReclamColor(var Done: Boolean);    
  end;

var
  PrergstForm: TPrergstForm;

implementation

uses
  Inst_Frm, Exit_Frm, Rgs1_Frm, Rgs2_Frm, Rgs3_Frm, NoRg_Frm, SerN_Frm;

{$R *.DFM}

procedure TPrergstForm.FormCreate(Sender: TObject);
begin
  FRegCnt := 0;
end;

procedure TPrergstForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if ModalResult <> mrOk then
    CanClose := ExitForm.DoQuit;
end;

procedure TPrergstForm.ButtonWantRegClick(Sender: TObject);
begin
  if FRegCnt < 3 then
    FRegCnt := FRegCnt + 1;
  case FRegCnt of
    1: Rgst1Form.ShowModal;
    2: Rgst2Form.ShowModal;
  else
    Rgst3Form.ShowModal;
  end;
end;

procedure TPrergstForm.ButtonOkClick(Sender: TObject);
begin
  if FRegCnt <= 0 then
  begin
    NoRgstForm.ShowModal;
    Exit;
  end
  else
    ModalResult := mrOk;
end;

procedure TPrergstForm.FixPanelReclamCaption(var Done: Boolean);
begin
  if Visible then
    PanelReclam.Caption := Copy(PanelReclam.Caption, 2,
    Length(PanelReclam.Caption) - 1) + PanelReclam.Caption[1];
end;

procedure TPrergstForm.FixPanelReclamColor(var Done: Boolean);
begin
  if Visible then
  begin
    PanelReclam.Color := Random($1000000);
    PanelReclam.Font.Color := Random($1000000);
  end;
end;

end.

