{$A+,B-,C-,D+,E-,F-,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V+,W-,X+,Y-,Z1}
{$MINSTACKSIZE $00004000}
{$MAXSTACKSIZE $00100000}
{$IMAGEBASE $00400000}
{$APPTYPE GUI}

unit Quit_Frm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TQuitForm = class(TForm)
    ImageError: TImage;
    LabelQuit: TLabel;
    ButtonOk: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
  public
    procedure FixImageError(var Done: Boolean);
  end;

var
  QuitForm: TQuitForm;

implementation

{$R *.DFM}

procedure TQuitForm.FormShow(Sender: TObject);
begin
  MessageBeep(mb_IconHand);
end;

procedure TQuitForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_F10 then
    ModalResult := mrYes;
end;

procedure TQuitForm.FixImageError(var Done: Boolean);
  const
    DLength: Integer = 100;
    DX: Integer = 0;
    DY: Integer = 20;
  var
    x, y: Integer;
  function PlsMin(i, res: Integer): Integer;
  begin
    if i >= 0 then
      Result := res
    else
      Result := - res;
  end;
begin
  if Visible then
  begin
    x := ImageError.Left + DX;
    y := ImageError.Top + DY;
    if (x <= 0) or (x >= ClientWidth - ImageError.Width) or
    (y <= 0) or (y >= ClientHeight - ImageError.Height) then
    begin
      DX := PlsMin(DX, Random(DLength - 1) + 1);
      DY := PlsMin(DY, Round(Sqrt(DLength * DLength - DX * DX)));
      if (x < 0) or (x > ClientWidth - ImageError.Width) then
      begin
        DX := - DX;
        if x < 0 then
          x := 0
        else
          x := ClientWidth - ImageError.Width;
      end;
      if (y < 0) or (y > ClientHeight - ImageError.Height) then
      begin
        DY := - DY;
        if y < 0 then
          y := 0
        else
          y := ClientHeight - ImageError.Height;
      end;
    end;
    ImageError.Left := x;
    ImageError.Top := y;
  end;
end;

end.
